## mars.venus.editors.jeditsyntax
Class TextUtilities

    java.lang.Object
      mars.venus.editors.jeditsyntax.TextUtilities

    public class TextUtilities

extends Object

Class with several utility functions used by the text area component.

Author:
  Slava Pestov

Constructor Summary
`TextUtilities()`

Method Summary
`static int` `findMatchingBracket(Document doc, int offset)` Returns the offset of the bracket matching the one at the specified offset of the document, or -1 if the bracket is unmatched (or if the character is not a bracket).
`static int` `findWordEnd(String line, int pos, String noWordSep)` Locates the end of the word at the specified position.
`static int` `findWordStart(String line, int pos, String noWordSep)` Locates the start of the word at the specified position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextUtilities

    public TextUtilities()

Method Detail

### findMatchingBracket

    public static int findMatchingBracket(Document doc,
                                          int offset)
                                   throws BadLocationException

  Returns the offset of the bracket matching the one at the specified offset of the document, or -1 if the bracket is unmatched (or if the character is not a bracket).

  Parameters:
    `doc` - The document
    `offset` - The offset
  Throws:
    `BadLocationException` - If an out-of-bounds access was attempted on the document text

### findWordStart

    public static int findWordStart(String line,
                                    int pos,
                                    String noWordSep)

  Locates the start of the word at the specified position.

  Parameters:
    `line` - The text
    `pos` - The position

### findWordEnd

    public static int findWordEnd(String line,
                                  int pos,
                                  String noWordSep)

  Locates the end of the word at the specified position.

  Parameters:
    `line` - The text
    `pos` - The position